Subject: Fireplace ash as additive to compost

From: [email-masked] (Ian McDiarmid)
Date: Fri, 24 Mar 1995 14:57:01 GMT

I seem to remember hearing that an effective and beneficial way of
disposing of fireplace ash was to mix it into gardens and compost.  Is
this true; and if so at what ratio should I be mixing?  Thanks for your
help.:-)

--
Ian McDiarmid
[email-masked]

---

From: [email-masked] (Kate Maskar)
Date: 25 Mar 1995 13:29:23 GMT

Wood ash is high in potassium (good for root crops especially) but I've
always read cautions about applying it too heavily (changes the ph?) I
usually dust the root crop beds with mine and they seem to do fine.
Unless you generate a truckload of it, I wouldn't think it would damage
the compost if you tossed it it periodically.